<%= render(Primer::Alpha::Dialog.new(title: t("caption_log_time_dialog"), size: :medium_portrait, id: MODAL_ID, data: { "controller" => "time-entry", "application-target" => "dynamic", "time-entry-id" => time_entry.id, "ongoing" => time_entry.ongoing? })) do |d| %>
  <% d.with_header(variant: :large) %>
  <% d.with_body do %>
    <%= render(
          TimeEntries::TimeEntryFormComponent.new(
            time_entry: time_entry,
            show_user: show_user,
            show_work_package: show_work_package,
            limit_to_project_id: limit_to_project_id
          )
        ) %>
  <% end %>
  <% d.with_footer(variant: :large) do %>
    <% flex_layout(justify_content: :flex_end, classes: "time-entry-dialog-footer-buttons") do |flex| %>
      <% if time_entry.persisted? %>
        <% flex.with_column do %>
          <%= render(
                Primer::ButtonComponent.new(
                  scheme: :danger,
                  test_selector: "destroy-time-entry-button",
                  data: {
                    "turbo" => true,
                    "turbo-method" => :delete,
                    "turbo-confirm" => t("js.text_are_you_sure")
                  },
                  href: time_entry_path(time_entry),
                  tag: :a
                )
              ) { t("button_delete") } %>
        <% end %>
      <% end %>
      <% flex.with_column(classes: "time-entry-button-push") %>
      <% flex.with_column do %>
        <%= render(
              Primer::ButtonComponent.new(data: { "close-dialog-id": "time-entry-dialog" })
            ) { I18n.t("button_cancel") } %>
        <%= render(
              Primer::ButtonComponent.new(
                scheme: :primary,
                type: :submit,
                test_selector: "create-time-entry-button",
                form: "time-entry-form"
              )
            ) { t("button_log_time") } %>
      <% end %>
    <% end %>
  <% end %>
<% end %>
